classification
Title: DOC: Fix rendering for 'retval' on the pdb page
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Chenyoo Hao, Joshua Walden, cheryl.sabella, docs@python, eric.araujo, miss-islington
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2020-05-25 19:53 by cheryl.sabella, last changed 2020-06-24 22:03 by eric.araujo. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21055 closed Chenyoo Hao, 2020-06-22 23:41
PR 21080 closed Chenyoo Hao, 2020-06-23 13:46
PR 21081 merged Chenyoo Hao, 2020-06-23 13:55
PR 21128 merged miss-islington, 2020-06-24 21:51
PR 21129 merged miss-islington, 2020-06-24 21:51
PR 21130 closed miss-islington, 2020-06-24 21:51
Messages (7)
msg369918 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-05-25 19:53
Please only work on this issue if it would be your first contribution to CPython.

The rendering for 'retval' description at the bottom of the pdb doc page isn't quite right.

https://docs.python.org/3/library/pdb.html
msg369928 - (view) Author: Joshua Walden (Joshua Walden) Date: 2020-05-25 22:32
I am interesting in contributing and would like to claim this issue.
msg369935 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-05-26 01:14
Hi Joshua, 

Go for it!  :-)  Please take a look at https://devguide.python.org for how to get started and let us know if you have any questions.
msg372284 - (view) Author: miss-islington (miss-islington) Date: 2020-06-24 21:50
New changeset cf18c9e9d4d44f6671a3fe6011bb53d8ee9bd92b by Arisaka97 in branch 'master':
bpo-40773: Fix rendering for 'retval' on the pdb page (GH-21081)
https://github.com/python/cpython/commit/cf18c9e9d4d44f6671a3fe6011bb53d8ee9bd92b
msg372287 - (view) Author: miss-islington (miss-islington) Date: 2020-06-24 22:01
New changeset c1634ac834729eb46caf98efcb7e33b8698d54a7 by Miss Islington (bot) in branch '3.9':
bpo-40773: Fix rendering for 'retval' on the pdb page (GH-21081)
https://github.com/python/cpython/commit/c1634ac834729eb46caf98efcb7e33b8698d54a7
msg372289 - (view) Author: miss-islington (miss-islington) Date: 2020-06-24 22:03
New changeset ec05a7feed120503a3ad2dd4547eea2aa9a81dae by Miss Islington (bot) in branch '3.8':
bpo-40773: Fix rendering for 'retval' on the pdb page (GH-21081)
https://github.com/python/cpython/commit/ec05a7feed120503a3ad2dd4547eea2aa9a81dae
msg372290 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2020-06-24 22:03
Thanks for the patch!
History
Date User Action Args
2020-06-24 22:03:40eric.araujosetstatus: open -> closed

versions: - Python 3.7
nosy: + eric.araujo

messages: + msg372290
resolution: fixed
stage: patch review -> resolved
2020-06-24 22:03:19miss-islingtonsetmessages: + msg372289
2020-06-24 22:01:11miss-islingtonsetmessages: + msg372287
2020-06-24 21:51:22miss-islingtonsetpull_requests: + pull_request20293
2020-06-24 21:51:15miss-islingtonsetpull_requests: + pull_request20292
2020-06-24 21:51:07miss-islingtonsetpull_requests: + pull_request20291
2020-06-24 21:50:56miss-islingtonsetnosy: + miss-islington
messages: + msg372284
2020-06-23 13:55:13Chenyoo Haosetpull_requests: + pull_request20247
2020-06-23 13:46:39Chenyoo Haosetpull_requests: + pull_request20246
2020-06-22 23:41:26Chenyoo Haosetkeywords: + patch
nosy: + Chenyoo Hao

pull_requests: + pull_request20232
stage: needs patch -> patch review
2020-05-26 01:14:02cheryl.sabellasetmessages: + msg369935
2020-05-25 22:32:48Joshua Waldensetnosy: + Joshua Walden
messages: + msg369928
2020-05-25 19:53:34cheryl.sabellacreate